Extending Qt Creator Manual | QmlComponentChain

Extending Qt Creator Manual 4.5.2

# QmlComponentChain Class

(QmlJS::QmlComponentChain)

- List of all members, including inherited members

## Public Functions

| QmlComponentChain(const Document::Ptr &document)
| ~QmlComponentChain()
void | addInstantiatingComponent(const QmlComponentChain *component)
Document::Ptr | document() const
const ObjectValue * | idScope() const
QList<const QmlComponentChain *> | instantiatingComponents() const
const ObjectValue * | rootObjectScope() const

## Member Function Documentation

### QmlComponentChain::QmlComponentChain(const Document::Ptr &document)

Default constructs an instance of QmlComponentChain.

### QmlComponentChain::~QmlComponentChain()

Destroys the instance of QmlComponentChain.

### void QmlComponentChain::addInstantiatingComponent(const QmlComponentChain *component)

### Document::Ptr QmlComponentChain::document() const

### const ObjectValue *QmlComponentChain::idScope() const

### QList<const QmlComponentChain *> QmlComponentChain::instantiatingComponents() const

### const ObjectValue *QmlComponentChain::rootObjectScope() const